Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ccpp
Interface CCPP

All Known Implementing Classes:
  CCPPRequest

public interface CCPP

Field Summary
`static java.lang.String` | `CCPP_REQUEST_STATE`
`static int` | `CONTENT_GENERATION_APPLIED`
`static int` | `CONTENT_SELECTION_APPLIED`
`static java.lang.String` | `HTTP_EXT_ID`
`static java.lang.String[]` | `msg_100`
`static java.lang.String[]` | `msg_200`
`static int` | `NOT_APPLIED`
`static int` | `NOT_USED_STALE_PROFILE`
`static int` | `OK`
`static java.lang.String` | `PROFILE_DIFF_HEADER`
`static java.lang.String` | `PROFILE_HEADER`
`static java.lang.String` | `PROFILE_WARNING_HEADER`
`static int` | `TRANSFORMATION_APPLIED`
`static java.lang.String` | `UNKNOWN_WARNING_MESSAGE`
`static int` | `USED_STALE_PROFILE`

Field Detail

### HTTP_EXT_ID

    public static final java.lang.String HTTP_EXT_ID

See Also:
  Constant Field Values

### PROFILE_HEADER

    public static final java.lang.String PROFILE_HEADER

See Also:
  Constant Field Values

### PROFILE_DIFF_HEADER

    public static final java.lang.String PROFILE_DIFF_HEADER

See Also:
  Constant Field Values

### PROFILE_WARNING_HEADER

    public static final java.lang.String PROFILE_WARNING_HEADER

See Also:
  Constant Field Values

### UNKNOWN_WARNING_MESSAGE

    public static final java.lang.String UNKNOWN_WARNING_MESSAGE

See Also:
  Constant Field Values

### CCPP_REQUEST_STATE

    public static final java.lang.String CCPP_REQUEST_STATE

See Also:
  Constant Field Values

### msg_100

    public static final java.lang.String[] msg_100

### msg_200

    public static final java.lang.String[] msg_200

### OK

    public static final int OK

See Also:
  Constant Field Values

### USED_STALE_PROFILE

    public static final int USED_STALE_PROFILE

See Also:
  Constant Field Values

### NOT_USED_STALE_PROFILE

    public static final int NOT_USED_STALE_PROFILE

See Also:
  Constant Field Values

### NOT_APPLIED

    public static final int NOT_APPLIED

See Also:
  Constant Field Values

### CONTENT_SELECTION_APPLIED

    public static final int CONTENT_SELECTION_APPLIED

See Also:
  Constant Field Values

### CONTENT_GENERATION_APPLIED

    public static final int CONTENT_GENERATION_APPLIED

See Also:
  Constant Field Values

### TRANSFORMATION_APPLIED

    public static final int TRANSFORMATION_APPLIED

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD